> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a customer group

> Get a customer group with its details and discount and/or store group configuration.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}:
    get:
      tags:
        - CustomerGroups
      summary: Get a customer group
      description: >-
        Get a customer group with its details and discount and/or store group
        configuration.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Customer Group ID
          in: path
          name: customer_group_id
          required: true
          schema:
            type: string
        - description: 'Merchant users page number (default: 1)'
          in: query
          name: merchant-users-page
          schema:
            type: integer
        - description: 'Merchant users per page (default: 20, max: 100)'
          in: query
          name: merchant-users-per-page
          schema:
            type: integer
        - description: 'Organisations page number (default: 1)'
          in: query
          name: organisations-page
          schema:
            type: integer
        - description: 'Organisations per page (default: 20, max: 100)'
          in: query
          name: organisations-per-page
          schema:
            type: integer
      responses:
        '200':
          description: Got Customer group successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponse-github_com_enadhq_nabbit_internal_pkg_webserver_models_CustomerGroupDetail
        '400':
          description: Invalid request (e.g. id not uuid)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponse-github_com_enadhq_nabbit_internal_pkg_webserver_models_CustomerGroupDetail:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupDetail
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupDetail:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        discount_percentage:
          type: integer
        discount_percentage_decimals:
          type: integer
        id:
          type: string
        merchant_users:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantUserRef
          type: array
        merchant_users_total:
          type: integer
        name:
          type: string
        organisations:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationRef
          type: array
        organisations_total:
          type: integer
        slug:
          type: string
        store_group_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantUserRef:
      properties:
        email:
          type: string
        id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationRef:
      properties:
        id:
          type: string
        name:
          type: string
      type: object

````